This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 817021 - Starting of Web Application in JBossAS EAP5.1.2 sometimes fails when invoked immediately after stop operation.
Starting of Web Application in JBossAS EAP5.1.2 sometimes fails when invoked ...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Agent, Core Server, Plugins (Show other bugs)
4.4
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-27 09:01 EDT by Filip Brychta
Modified: 2012-04-30 12:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot (190.28 KB, image/png)
2012-04-27 09:01 EDT, Filip Brychta
no flags Details

  None (edit)
Description Filip Brychta 2012-04-27 09:01:02 EDT
Description of problem:
There is deployed a Web Application on JBossAS EAP5.1.2. When i try to start it right after i stopped it, this operations fails with 'jmx-console.war is already started' error message. After a few tries, start operation succeed (see attached screenshot). 

Version-Release number of selected component (if applicable):
Version: 4.4.0-SNAPSHOT
Build Number: ca5eecb

How reproducible:
50%

Steps to Reproduce:
1. import JBossAS EAP5.1.2 to your inventory
2. go to inventory>servers>jBossAS>applications>web application
3. stop jmx-console.war
4. start jmx-console.war
  
Actual results:
java.lang.Exception: jmx-console.war is already started.
	at org.rhq.core.pc.operation.OperationInvocation.run(OperationInvocation.java:278)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1110)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:603)
	at java.lang.Thread.run(Thread.java:679)

Expected results:
jmx-console.war is started

Additional info:
see attached screenshot, all failed operations ended with the same exception shown above
Comment 1 Filip Brychta 2012-04-27 09:01:35 EDT
Created attachment 580764 [details]
screenshot
Comment 2 Mike Foley 2012-04-30 12:02:16 EDT
triaged 4/30/2012 by loleary, ccrouch, mfoley

Note You need to log in before you can comment on or make changes to this bug.